CREATE TABLE IF NOT EXISTS public.compra_item
(
    cod_compra_item serial NOT NULL,
    cod_empresa integer NOT NULL,
    cod_compra integer NOT NULL,
    cod_produto integer,
    nome_produto character varying(120) COLLATE pg_catalog."default",
    quantidade numeric(12,3) DEFAULT 0,
    fracionado character varying(3) COLLATE pg_catalog."default",
    itens numeric(12,3) DEFAULT 0.000,
    lote character varying(10) COLLATE pg_catalog."default",
    unitario numeric(12,4) DEFAULT 0,
    desconto_percentual numeric(12,2) DEFAULT 0,
    desconto_valor numeric(12,2) DEFAULT 0,
    total numeric(12,2) DEFAULT 0,
    icms_percentual numeric(12,2) DEFAULT 0,
    icms_valor numeric(12,2) DEFAULT 0,
    ipi_percentual numeric(12,2) DEFAULT 0,
    ipi_valor numeric(12,2) DEFAULT 0,
    id_grade integer,
    vl_substituicao numeric(14,2) DEFAULT 0,
    preco_venda numeric(12,2) DEFAULT 0,
    base_icms numeric(14,2) DEFAULT 0,
    reducao numeric(14,2) DEFAULT 0,
    cfop character varying(4) COLLATE pg_catalog."default",
    cst character varying(3) COLLATE pg_catalog."default",
    base_st numeric(14,2) DEFAULT 0,
    nt_codigo_produto character varying(25) COLLATE pg_catalog."default",
    nt_codigo_fabricante character varying(20) COLLATE pg_catalog."default",
    nt_unidade character varying(5) COLLATE pg_catalog."default",
    nt_ncm character varying(8) COLLATE pg_catalog."default",
    nt_vl_frete numeric(12,2) DEFAULT 0,
    nt_id_fornecedor integer DEFAULT 0,
    nt_st character varying(3) COLLATE pg_catalog."default",
    nt_cst_cofins character varying(3) COLLATE pg_catalog."default",
    nt_vl_cofins numeric(12,2) DEFAULT 0,
    nt_cst_pis character varying(3) COLLATE pg_catalog."default",
    nt_vl_pis numeric(12,2) DEFAULT 0,
    nt_encontrou character varying(1) COLLATE pg_catalog."default",
    item integer,
    produto_insumo character varying(1) COLLATE pg_catalog."default",
    nt_cst character varying(3) COLLATE pg_catalog."default",
    nt_cfop character varying(4) COLLATE pg_catalog."default",
    grupo integer,
    saida_st character varying(2) COLLATE pg_catalog."default",
    saida_icms numeric(6,2) DEFAULT 0,
    unitario_anterior numeric(14,4) DEFAULT 0,
    cst_pis character varying(2) COLLATE pg_catalog."default",
    cst_cofins character varying(2) COLLATE pg_catalog."default",
    picmsst numeric(12,2) DEFAULT 0.00,
    cod_associacao integer,
    cod_fabricante_associacao character varying(25) COLLATE pg_catalog."default",
    outras_despesas numeric(12,2) NOT NULL DEFAULT 0.00,
    devolucao character varying(3) COLLATE pg_catalog."default",
    tipo character varying(12) COLLATE pg_catalog."default",
    formacao_preco boolean DEFAULT false,
    qtd_devol numeric(12,2),
    qtd_embalagem_itens numeric(14,2),
    qtd_metro_cubico numeric(14,2),
    nome_produto_nota character varying(60) COLLATE pg_catalog."default",
    cst_sped character varying(3) COLLATE pg_catalog."default",
    margem_lucro_percent numeric(14,3) DEFAULT 0,
    margem_lucro numeric(14,3) DEFAULT 0,
    vl_unitario_fracionado numeric(14,2),
    ean_produto character varying(25) COLLATE pg_catalog."default",
    margem_bruta_percentual numeric(12,2) DEFAULT 0,
    CONSTRAINT id_compraitem PRIMARY KEY (cod_compra, cod_empresa, cod_compra_item)
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.compra_item
    OWNER to postgres;