CREATE TABLE IF NOT EXISTS public.configuracao
(
    numero_caixa smallint NOT NULL,
    logomarca character varying(300) COLLATE pg_catalog."default",
    website character varying(300) COLLATE pg_catalog."default",
    email character varying(200) COLLATE pg_catalog."default",
    porta smallint DEFAULT 6162,
    tipo_aplicativo character varying(10) COLLATE pg_catalog."default" DEFAULT 'NFCE'::character varying,
    impressora character varying(100) COLLATE pg_catalog."default",
    impressora_formato smallint,
    certificado_numero character varying(40) COLLATE pg_catalog."default",
    certificado_senha character varying(60) COLLATE pg_catalog."default",
    ws_tipo_ambiente character(1) COLLATE pg_catalog."default",
    ws_uf_destino character varying(2) COLLATE pg_catalog."default",
    ws_proxy_host character varying(200) COLLATE pg_catalog."default",
    ws_proxy_porta smallint,
    ws_proxy_usuario character varying(100) COLLATE pg_catalog."default",
    ws_proxy_senha character varying(100) COLLATE pg_catalog."default",
    ws_timeout integer,
    ws_tentativas integer,
    ws_intervalo_tentativas integer,
    ws_tempo_cons_ret integer,
    ws_ajusta_cons_ret character(1) COLLATE pg_catalog."default",
    smtp_servidor character varying(300) COLLATE pg_catalog."default",
    smtp_porta smallint,
    smtp_usuario character varying(100) COLLATE pg_catalog."default",
    smtp_senha character varying(100) COLLATE pg_catalog."default",
    smtp_ssl character(1) COLLATE pg_catalog."default",
    smtp_tls character(1) COLLATE pg_catalog."default",
    smpt_assunto character varying(200) COLLATE pg_catalog."default",
    smtp_mensagem text COLLATE pg_catalog."default",
    nfce_ultimo_numero integer,
    nfce_token_id character varying(50) COLLATE pg_catalog."default",
    nfce_token_numero character varying(50) COLLATE pg_catalog."default",
    imp_modelo character varying(30) COLLATE pg_catalog."default" DEFAULT ''::character varying,
    imp_porta character varying(250) COLLATE pg_catalog."default" DEFAULT 'COM1'::character varying,
    imp_velocidade integer DEFAULT 115200,
    imp_uma_linha character(1) COLLATE pg_catalog."default" DEFAULT 'S'::bpchar,
    imp_ignora_formatacao character(1) COLLATE pg_catalog."default" DEFAULT 'S'::bpchar,
    imp_pagina_codigo character varying(30) COLLATE pg_catalog."default" DEFAULT 'pc1252'::character varying,
    sat_modelo character varying(20) COLLATE pg_catalog."default",
    sat_gravar_log character varying(255) COLLATE pg_catalog."default" DEFAULT 'S'::character varying,
    sat_versao_xml character varying(10) COLLATE pg_catalog."default" DEFAULT '00.06'::character varying,
    sat_cod_ativacao character varying(50) COLLATE pg_catalog."default",
    sat_sh_cnpj character varying(14) COLLATE pg_catalog."default",
    sat_sh_assinatura character varying(344) COLLATE pg_catalog."default",
    tef_tipo character varying(30) COLLATE pg_catalog."default",
    sitef_ip character varying(50) COLLATE pg_catalog."default",
    sitef_loja character(8) COLLATE pg_catalog."default",
    sitef_terminal character(8) COLLATE pg_catalog."default",
    sitef_portapinpad integer,
    sitef_parametros character varying(300) COLLATE pg_catalog."default",
    sitef_msgpinpad character varying(33) COLLATE pg_catalog."default",
    mfe_chave_acesso character varying(50) COLLATE pg_catalog."default",
    imp_margem_sup integer,
    imp_margem_inf integer,
    imp_margem_dir integer,
    imp_margem_esq integer,
    CONSTRAINT numero_caixa_pk PRIMARY KEY (numero_caixa)
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.configuracao
    OWNER to postgres;