CREATE TABLE IF NOT EXISTS public.conta_receber
(
    cod_receber serial NOT NULL,
    cod_empresa integer ,
    data_emissao date,
    data_pgto date,
    data_vencto date,
    documento character(20)  ,
    parcela character(5),
    nota character(10) COLLATE pg_catalog."default" DEFAULT ''::bpchar,
    id_pedido integer,
    id_os integer,
    id_cliente integer,
    nome_cliente character(150) COLLATE pg_catalog."default",
    id_forma integer,
    id_vendedor integer,
    id_caixa integer,
    id_conta character(20) COLLATE pg_catalog."default",
    tx_juros numeric DEFAULT 0,
    vl_juros numeric DEFAULT 0,
    vl_total numeric DEFAULT 0,
    vl_desconto numeric DEFAULT 0,
    vl_pago numeric DEFAULT 0,
    vl_divida numeric DEFAULT 0,
    vl_geral numeric DEFAULT 0,
    vl_jurospago numeric DEFAULT 0,
    situacao character(10) COLLATE pg_catalog."default",
    data_prev_pgto date,
    click boolean DEFAULT false,
    id_credito integer,
    cupom integer,
    id_usuario integer,
    obs text COLLATE pg_catalog."default",
    ativo character(5) COLLATE pg_catalog."default",
    protesto character(5) COLLATE pg_catalog."default",
    data_protesto date,
    valor_protesto numeric DEFAULT 0,
    desativada character(5) COLLATE pg_catalog."default",
    vl_apagar numeric DEFAULT 0,
    taxa_bancaria numeric,
    id_movimento integer DEFAULT 0,
    id_cupons integer DEFAULT 0,
    codigo_protesto integer,
    dias_protesto integer,
    nfe character(9) COLLATE pg_catalog."default",
    nfce character(9) COLLATE pg_catalog."default",
    id_contacorrente integer,
    enviar_email boolean DEFAULT false,
    nosso_numero character(20) COLLATE pg_catalog."default",
    multa numeric DEFAULT 0.00,
    lancamento_credito_cliente boolean DEFAULT false,
    percentual_multa numeric,
    vl_multa_paga numeric,
    irrf numeric,
    cod_local_deposito integer,
    qtd_parcelas integer,
    id_caixa_movimento integer,
    data date,
    CONSTRAINT conta_receber_pkey PRIMARY KEY (cod_receber)
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.conta_receber
    OWNER to postgres;