CREATE TABLE IF NOT EXISTS public.nfe_item
(
    id serial NOT NULL,
    serie integer NOT NULL,
    numero integer NOT NULL,
    item integer NOT NULL,
    id_produto integer NOT NULL,
    gtin character varying(14) COLLATE pg_catalog."default",
    descricao character varying(120) COLLATE pg_catalog."default",
    cfop integer,
    und character varying(6) COLLATE pg_catalog."default",
    quantidade numeric,
    vl_unitario numeric,
    vl_desconto numeric,
    vl_desconto_rateio numeric,
    vl_outros numeric,
    vl_outros_rateio numeric,
    vl_produto numeric,
    vl_total numeric,
    origem integer,
    cst character varying(3) COLLATE pg_catalog."default",
    ncm character varying(8) COLLATE pg_catalog."default",
    extipi character varying(3) COLLATE pg_catalog."default",
    sn_vbase numeric(15,2),
    sn_aliqcredito numeric(5,2),
    sn_vcredito numeric(15,2),
    icms_vbase numeric(15,2),
    icms_aliquota numeric(5,2),
    icms_vimposto numeric(15,2),
    pis_cst character(2) COLLATE pg_catalog."default",
    pis_vbase numeric(15,2),
    pis_aliquota numeric(5,2),
    pis_vimposto numeric(15,2),
    cofins_cst character(2) COLLATE pg_catalog."default",
    cofins_vbase numeric(15,2),
    cofins_aliquota numeric(5,2),
    cofins_vimposto numeric(15,2),
    in_aliq_federal numeric(5,2),
    in_vl_federal numeric(15,2),
    in_aliq_estadual numeric(5,2),
    in_vl_estadual numeric(15,2),
    in_aliq_municipal numeric(5,2),
    in_vl_municipal numeric(15,2),
    inf_adicional character varying(500) COLLATE pg_catalog."default",
    cest character varying(7) COLLATE pg_catalog."default",
    id_codigo_anp integer,
    numero_venda integer,
    cancelado boolean DEFAULT false,
    vl_acrescimo numeric,
    CONSTRAINT pk_nfeitem PRIMARY KEY (id, item)
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.nfe_item
    OWNER to postgres;
-- Index: idx_colunas

-- DROP INDEX IF EXISTS public.idx_colunas;

CREATE INDEX IF NOT EXISTS idx_colunas
    ON public.nfe_item USING btree
    (numero ASC NULLS LAST, serie ASC NULLS LAST)
    TABLESPACE pg_default;