CREATE TABLE IF NOT EXISTS public.venda
(
    id integer NOT NULL,
    serie integer NOT NULL,
    numero integer NOT NULL,
    id_empresa integer,
    situacao character(1) COLLATE pg_catalog."default",
    chave_acesso character(44) COLLATE pg_catalog."default",
    dt_emissao date,
    dthr_saida timestamp without time zone,
    tipo_nfe integer,
    tipo_emissao integer,
    id_pessoa integer,
    dest_nome character varying(60) COLLATE pg_catalog."default",
    dest_cnpj_cpf character varying(14) COLLATE pg_catalog."default",
    dest_fone character varying(14) COLLATE pg_catalog."default",
    dest_endereco character varying(60) COLLATE pg_catalog."default",
    dest_numero character varying(60) COLLATE pg_catalog."default",
    dest_complemento character varying(60) COLLATE pg_catalog."default",
    dest_bairro character varying(60) COLLATE pg_catalog."default",
    dest_cidade integer,
    dest_cidade_descricao character varying(60) COLLATE pg_catalog."default",
    dest_uf character(2) COLLATE pg_catalog."default",
    dest_cep character varying(8) COLLATE pg_catalog."default",
    vl_base_icms numeric,
    vl_icms numeric,
    vl_desconto numeric,
    vl_produtos numeric,
    vl_outras numeric,
    vl_total_nf numeric,
    vl_pis numeric,
    vl_cofins numeric,
    vl_troco numeric,
    cstat integer,
    xmotivo character varying(255) COLLATE pg_catalog."default",
    dhrecbto timestamp without time zone,
    nprot character varying(50) COLLATE pg_catalog."default",
    protocolo integer,
    observacao text COLLATE pg_catalog."default",
    xml bytea,
    xml_cancelamento bytea,
    sat_numero_cfe integer,
    sat_numero_serie integer,
    id_caixa_movimento integer,
    cnf integer,
    carro_km integer,
    carro_placa character varying(50) COLLATE pg_catalog."default",
    vl_acrescimo numeric,
    id_operador integer,
    CONSTRAINT pk_venda PRIMARY KEY (id, serie, numero)
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.venda
    OWNER to postgres;